Subject: bug#75628: 31.0.50; Error sending mail using SMTP - base64 encoding fails

From: Robert Pluim <[email-masked]>
Date: Fri, 17 Jan 2025 18:04:12 +0100

>>>>> On Fri, 17 Jan 2025 18:43:57 +0200, Eli Zaretskii <[email-masked]> said:

    Eli> OK, but then I think we need to bind coding-system-for-write to
    Eli> no-conversion when calling smtpmail-command-or-throw in this
    Eli> case. because the string is already encoded.

No need, the password is utf-8 encoded, then itʼs base64 encoded, then
itʼs concatenated with "AUTH PLAIN", and the result is then passed to
smtpmail-command-or-thow. So we can continue to use the value for
coding-system-for-write used by 'smtpmail-via-smtp', which is 'binary.

Robert
--